tt_ptype_undeclare(library call)

NAME
tt_ptype_undeclare — undeclare a ptype

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_ptype_undeclare(
const char *ptid);

DESCRIPTION

The tt_ptype_undeclare function undeclares the indicated ptype and unregisters the patterns associated with the indicated ptype from the ToolTalk service.

The ptid argument is the character string specifying the ptype.

RETURN VALUE

Upon successful completion, the tt_ptype_undeclare function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PTYPE
    The specified process type is not the name of an installed process type.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).